Programma da riga di comando per gestire la velocità del trackpoint, la sensibilità, ecc. Senza riavviare la sessione

Sono su Ubuntu 14.04 e Thinkpad T520. Questa soluzione funziona per impostare i valori dopo un riavvio, ma vorrei essere in grado di impostare e ottenere i valori al volo.

Nota: ho già fatto uno script bash per fare questo dopo alcune ricerche infruttuose, quindi sto creando questa domanda nel caso in cui aiuti qualcun altro.

Di seguito è riportato uno script di bash che ho creato per impostare i valori al volo. Per usare, mettere lo script in ~ / bin / trackpoint (user bin) o / usr / bin / trackpoint (bin globale) e renderlo eseguibile.

  • trackpoint per ottenere il valore
  • trackpoint per impostare il valore
  • trackpoint --values per un elenco di tutti i valori di opzione
  • trackpoint --help per un elenco di opzioni (solo un elenco di file in $ tp_root).

Testato su Ubuntu 14.04. Chiama sudo per scrivere valori su file.

 #!/bin/bash # trackpoint # Gets or sets a trackpoint configuration option # Example - get sensitivity: # trackpoint sensitivity # Example - set sensitivity to 160: # trackpoint sensitivity 160 # tp_root locator command from http://askubuntu.com/a/144185/151944 tp_root=`find /sys/devices/platform/i8042 -name name | xargs grep -Fl TrackPoint | sed 's/\/input\/input[0-9]*\/name$//'` option=$1 value=$2 me=`basename $0` fail() { echo "Error: [email protected]" 1>&2; exit 1; } [ -d ${tp_root} ] || fail "Invalid tp_root: ${tp_root}" option_list=`find ${tp_root} -maxdepth 1 -type f -printf '%f '`; [ ${option} ] || fail "please provide an option to set or get. Option must be one of: ${option_list}" [[ ${option} == *--help* ]] && { echo -e "Usage: ${me} option_name [value_to_set]\n\nGets or sets a trackpoint option.\n\nTo get a list of all values use:\n ${me} --values\n\nAvailable options:\n ${option_list}"; exit 0; } [[ ${option} == *--values* ]] && { for f in `find ${tp_root} -maxdepth 1 -type f -printf '%f '`; do { echo $f; echo " $(cat ${tp_root}/${f})"; } done; exit 0; } file="${tp_root}/${option}" [ -f ${file} ] || fail "option must be one of: ${option_list}" [ -z ${value} ] && { cat ${file}; exit 0; } [ ${value} -gt 255 ] && fail "$option cannot be greater than 255" echo -n ${value}| sudo tee ${file} echo ""